Retrieve a webhook endpoint
curl --request GET \
--url https://prod.truv.com/v1/webhooks/{webhook_id}/ \
--header 'X-Access-Client-Id: <api-key>' \
--header 'X-Access-Secret: <api-key>'import requests
url = "https://prod.truv.com/v1/webhooks/{webhook_id}/"
headers = {
"X-Access-Client-Id": "<api-key>",
"X-Access-Secret": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-Access-Client-Id': '<api-key>', 'X-Access-Secret': '<api-key>'}
};
fetch('https://prod.truv.com/v1/webhooks/{webhook_id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "48427a36d43c4d5aa6324bc06c692456",
"name": "<string>",
"webhook_url": "http://example.com/",
"events": [
"task-status-updated",
"order-status-updated"
],
"env_type": "dev",
"enabled": true,
"created_at": "2022-05-04T11:30:00Z",
"updated_at": "2022-05-04T12:00:00Z"
}{
"error": {
"code": "authentication_failed",
"message": "No such token"
}
}{
"error": {
"code": "not_authenticated",
"message": "Authentication credentials were not provided."
}
}{
"detail": "Not Found."
}Webhook Endpoints
Retrieve a webhook endpoint
This endpoint retrieves a webhook.
GET
/
v1
/
webhooks
/
{webhook_id}
/
Retrieve a webhook endpoint
Authorizations
Client ID
Client Access Key
Path Parameters
Webhook ID
Response
Unique identifier of the webhook.
Maximum string length:
32Example:
"48427a36d43c4d5aa6324bc06c692456"
Public name for this webhook config.
Maximum string length:
128Webhook URL where event data will be sent.
Maximum string length:
2048Example:
"http://example.com/"
List of events sent to this webhook URL.
Available options:
task-status-updated, order-status-updated, order-created, link-connected, link-disconnected, order-refresh-failed, link-deleted, employment-created, employment-updated, profile-created, profile-updated, statements-created, statements-updated, shifts-created, shifts-updated, bank-accounts-created, bank-accounts-updated, order-finalized, order-batch-completed, certification-completed Example:
[
"task-status-updated",
"order-status-updated"
]
Type of environment.
Available options:
sandbox, dev, prod Example:
"dev"
Whether the webhook is active.
Timestamp when the webhook was created.
Example:
"2022-05-04T11:30:00Z"
Timestamp when the webhook was updated last time.
Example:
"2022-05-04T12:00:00Z"
Was this page helpful?